image: docker:latest

stages:
    - build
    - deploy

build-web-ng:
  stage: build
  image: devoxsoftware/ng-cli
  artifacts:
    expire_in: 1 day
    paths:
      - ./src/Web-Angular/dist/
  before_script:
    - cd ./src/Web-Angular/
    - npm ci
  script:
    - ng build --extract-css
  only:
    - main
    - develop
  when: manual

 
deploy-web-ng:
  stage: deploy
  image: mcr.microsoft.com/azure-cli
  needs: [build-web-ng]
  script:
    - az storage blob delete-batch -s "\$web" --connection-string $AZURE_STORAGE_CONNECTION_STRING
    - az storage blob upload-batch -d "\$web" -s src/Web-Angular/dist/Web-Angular/ --connection-string $AZURE_STORAGE_CONNECTION_STRING
  only:
    - main
    - develop
  when: manual
